Browser could not be verified on Chrome Version 58.0.3029.96 (64-bit)

Two days ago the 1Password browser extension in Chrome began displaying "Browser could not be verified". I've tried the following without success.

  1. Uninstall/reinstall the extension
  2. Restart the computer
  3. Confirmed the browser is installed to the Applications folder
  4. Quit 1Password

Any other suggestions?

I'm not going through a proxy either.

Thanks!


1Password Version: 6.6.4
Extension Version: 4.6.5.90
OS Version: 10.12.4
Sync Type: 1Password

Comments

  • Issue resolved after upgrading to 1Password 6.7 from the Mac App Store.

  • rudyrudy

    Team Member

    @kevlar,

    Yup, Google's code signature expired on 4/27 and when they renewed their certificate it no longer had the same identifier as the old certificate. As you found 6.7 is the update we shipped that contains their new identifier.

    Rudy

  • Will there be a fix for 1Password 4 (4.4.3) for MacOS 10.9.5?

  • rudyrudy

    Team Member

    @WUrbaniak,

    The only solutions available for that configuration are to update the OS to at least 10.10 and 1Password to 6.7 or to remain on 10.9.5/1Password4 and uncheck the "verify code signature" on the advanced tab in the Preferences window.

    Rudy

  • @rudy: thank you.

  • Drew_AGDrew_AG 1Password Alumni

    On behalf of Rudy, you're very welcome! If you're interested, you can find more information here: 1Password 4 legacy support information

    If you have more questions, just let us know. :)

This discussion has been closed.